public class Example {
    public static void main(String[] args) {
        boolean m[][] = { { true, false, true, true },
                          { true, false, true, false },
                          { true, false, true, true } };
        System.out.println("++++++++++++");
        Grid g = new Grid(m);
        System.out.println(g);
        System.out.println("++++++++++++");
        g.update();
        System.out.println(g);
        System.out.println("++++++++++++");
    }
}
